CVE-2020-5260

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Affected versions of Git have a vulnerability whereby Git can be tricked into sending private credentials to a host controlled by an attacker. Git uses external "credential helper" programs to store and retrieve passwords or other credentials from secure storage provided by the operating system. Specially-crafted URLs that contain an encoded newline can inject unintended values into the credential helper protocol stream, causing the credential helper to retrieve the password for one server (e.g., good.example.com) for an HTTP request being made to another server (e.g., evil.example.com), resulting in credentials for the former being sent to the latter. There are no restrictions on the relationship between the two, meaning that an attacker can craft a URL that will present stored credentials for any host to a host of their choosing. The vulnerability can be triggered by feeding a malicious URL to git clone. However, the affected URLs look rather suspicious; the likely vector would be through systems which automatically clone URLs not visible to the user, such as Git submodules, or package systems built around Git. The problem has been patched in the versions published on April 14th, 2020, going back to v2.17.x. Anyone wishing to backport the change further can do so by applying commit 9a6bbee (the full release includes extra checks for git fsck, but that commit is sufficient to protect clients against the vulnerability). The patched versions are: 2.17.4, 2.18.3, 2.19.4, 2.20.3, 2.21.2, 2.22.3, 2.23.2, 2.24.2, 2.25.3, 2.26.1.

References

http://lists.opensuse.org/opensuse-security-announce/2020-04/msg00027.html

http://lists.opensuse.org/opensuse-security-announce/2020-05/msg00003.html

http://packetstormsecurity.com/files/157250/Git-Credential-Helper-Protocol-Newline-Injection.html

http://www.openwall.com/lists/oss-security/2020/04/15/5

http://www.openwall.com/lists/oss-security/2020/04/15/6

http://www.openwall.com/lists/oss-security/2020/04/20/1

https://github.com/git/git/commit/9a6bbee8006c24b46a85d29e7b38cfa79e9ab21b

https://github.com/git/git/security/advisories/GHSA-qm7j-c969-7j4q

https://lists.debian.org/debian-lts-announce/2020/04/msg00010.html

https://lists.fedoraproject.org/archives/list/[email protected]/message/74Q7WVJ6FKLIN62VS2JD2XCNWK5TNKOW/

https://lists.fedoraproject.org/archives/list/[email protected]/message/7TVS5UG6JD3MYIGSBKMIOS6AF7CR5IPI/

https://lists.fedoraproject.org/archives/list/[email protected]/message/MOCTR2SEHCPSCOVUQJAGFPGKFMI2VE6V/

https://lists.fedoraproject.org/archives/list/[email protected]/message/PN3FUOXKX3AXTULYV53ACABER2W2FSOU/

https://lists.fedoraproject.org/archives/list/[email protected]/message/XPCEOIFLLEF24L6GLVJVFZX4CREDEHDF/

https://lore.kernel.org/git/[email protected]/

https://security.gentoo.org/glsa/202004-13

https://support.apple.com/kb/HT211141

https://usn.ubuntu.com/4329-1/

https://www.debian.org/security/2020/dsa-4657

Details

Source: MITRE

Published: 2020-04-14

Updated: 2021-03-19

Type: CWE-522

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

CVSS v3

Base Score: 7.5

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Impact Score: 3.6

Exploitability Score: 3.9

Severity: HIGH

Tenable Plugins

View all (40 total)

IDNameProductFamilySeverity
153736EulerOS 2.0 SP9 : git (EulerOS-SA-2021-2549)NessusHuawei Local Security Checks
high
153674EulerOS 2.0 SP9 : git (EulerOS-SA-2021-2525)NessusHuawei Local Security Checks
high
146004CentOS 8 : git (CESA-2020:1513)NessusCentOS Local Security Checks
high
143893NewStart CGSL CORE 5.04 / MAIN 5.04 : git Multiple Vulnerabilities (NS-SA-2020-0075)NessusNewStart CGSL Local Security Checks
high
143890NewStart CGSL CORE 5.05 / MAIN 5.05 : git Multiple Vulnerabilities (NS-SA-2020-0113)NessusNewStart CGSL Local Security Checks
high
140878EulerOS 2.0 SP3 : git (EulerOS-SA-2020-2111)NessusHuawei Local Security Checks
high
140083RHEL 7 : git (RHSA-2020:3581)NessusRed Hat Local Security Checks
high
139093Amazon Linux AMI : git (ALAS-2020-1413)NessusAmazon Linux Local Security Checks
high
137801EulerOS Virtualization for ARM 64 3.0.6.0 : git (EulerOS-SA-2020-1694)NessusHuawei Local Security Checks
high
137517EulerOS 2.0 SP2 : git (EulerOS-SA-2020-1675)NessusHuawei Local Security Checks
high
137168FreeBSD : malicious URLs may present credentials to wrong server (ced2d47e-8469-11ea-a283-b42e99a1b9c3)NessusFreeBSD Local Security Checks
high
137016EulerOS 2.0 SP5 : git (EulerOS-SA-2020-1598)NessusHuawei Local Security Checks
high
136789SUSE SLES12 Security Update : git (SUSE-SU-2020:1295-1)NessusSuSE Local Security Checks
high
136573Photon OS 3.0: Git PHSA-2020-3.0-0086NessusPhotonOS Local Security Checks
high
136406Photon OS 1.0: Git PHSA-2020-1.0-0291NessusPhotonOS Local Security Checks
high
136328Photon OS 2.0: Git PHSA-2020-2.0-0236NessusPhotonOS Local Security Checks
high
136311openSUSE Security Update : git (openSUSE-2020-598)NessusSuSE Local Security Checks
high
136240EulerOS Virtualization for ARM 64 3.0.2.0 : git (EulerOS-SA-2020-1537)NessusHuawei Local Security Checks
high
136211Fedora 30 : git (2020-4e093619bb)NessusFedora Local Security Checks
high
136197CentOS 7 : git (CESA-2020:1511)NessusCentOS Local Security Checks
high
136074SUSE SLED15 / SLES15 Security Update : git (SUSE-SU-2020:1121-1)NessusSuSE Local Security Checks
high
136001Fedora 31 : git (2020-f6b3b6fb18)NessusFedora Local Security Checks
high
135954Oracle Linux 8 : git (ELSA-2020-1513)NessusOracle Linux Local Security Checks
high
135952Oracle Linux 7 : git (ELSA-2020-1511)NessusOracle Linux Local Security Checks
high
135949GLSA-202004-13 : Git: Information disclosureNessusGentoo Local Security Checks
high
135886Scientific Linux Security Update : git on SL7.x x86_64 (20200421)NessusScientific Linux Local Security Checks
high
135875RHEL 8 : git (RHSA-2020:1513)NessusRed Hat Local Security Checks
high
135862RHEL 8 : git (RHSA-2020:1518)NessusRed Hat Local Security Checks
high
135770RHEL 7 : git (RHSA-2020:1511)NessusRed Hat Local Security Checks
high
135749openSUSE Security Update : git (openSUSE-2020-524)NessusSuSE Local Security Checks
high
135736EulerOS 2.0 SP8 : git (EulerOS-SA-2020-1503)NessusHuawei Local Security Checks
high
135728Fedora 31 : git (2020-cdef88bb89)NessusFedora Local Security Checks
high
135710Amazon Linux AMI : git (ALAS-2020-1357)NessusAmazon Linux Local Security Checks
high
135596Debian DLA-2177-1 : git security updateNessusDebian Local Security Checks
high
135594Amazon Linux 2 : git (ALAS-2020-1409)NessusAmazon Linux Local Security Checks
high
135581Ubuntu 16.04 LTS / 18.04 LTS / 19.10 : Git vulnerability (USN-4329-1)NessusUbuntu Local Security Checks
high
135580SUSE SLES12 Security Update : git (SUSE-SU-2020:0992-1)NessusSuSE Local Security Checks
high
135579SUSE SLED15 / SLES15 Security Update : git (SUSE-SU-2020:0991-1)NessusSuSE Local Security Checks
high
135576Slackware 14.0 / 14.1 / 14.2 / current : git (SSA:2020-105-01)NessusSlackware Local Security Checks
high
135499Debian DSA-4657-1 : git - security updateNessusDebian Local Security Checks
high